#
# spec file for package ghc-hsx2hs
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name hsx2hs
Name:           ghc-%{pkg_name}
Version:        0.13.5
Release:        2.39
Summary:        HSX (Haskell Source with XML) allows literal XML syntax in Haskell source code
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-haskell-src-exts-devel
BuildRequires:  ghc-haskell-src-meta-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-utf8-string-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
HSX (Haskell Source with XML) allows literal XML syntax in Haskell source code.
The hsx2hs preprocessor translates .hsx source files into ordinary .hs files.
Literal XML syntax is translated into function calls for creating XML values of
the appropriate forms. hsx2hs transforms literal XML syntax into a series of
function calls. Any project can make use of the syntax by providing definitions
for those functions, and the XML values produced will be of the types
specified. This works for any types, since hsx2hs doesn't make any assumptions,
or inserts any information depending on types. XMLGenerator defines a few
typeclasses that together cover the functions injected by the preprocessor.
A project that uses these classes to provide the semantics for the injected
syntax will be able to use any functions written in terms of these, allowing
better code reusability than if each project defines its own semantics for the
XML syntax. Also, the classes makes it possible to use the literal syntax at
different types within the same module. Achieving that is not as simple as it
may seem, but the XMLGenerator module provides all the necessary machinery.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/%{pkg_name}

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.13.5 revision 0 with cabal2obs.
